function int SB_Cvarinfo(void)
{
    return GetCVar("sb_usescvarinfo") == 420420;
}

function int SB_GetCVar(int name)
{
    if (SB_CVarinfo()) { return GetCVar(name); }
    return defaultCVar(name, 0);
}

function int SB_DefaultCVar(int var, int val)
{
    if (SB_Cvarinfo()) { return GetCVar(var); }
    return defaultCVar(var, val);
}

function int SB_SetCVar(int name, int val)
{
    if (SB_Cvarinfo()) { SetCVar(name, val); }  // ZDum
    else { saveCVar(name, val); }  // Z&

    return GetCVar(name);
}

function int SB_GetAliveMult(void)
{
    int multRaw = SB_GetCVar("sb_alivemult");
    int mult = cond(multRaw == 0, 100, middle(-1, multRaw, 1000000));
    if (multRaw != mult) { SB_SetCVar("sb_alivemult", mult); }
    if (mult == -1) { return 0; }

    int floatPart = mult % 100;
    int intPart   = mult / 100;

    int ret = itof(intPart) + (itof(floatPart) / 100);
    return ret;
}

function int SB_GetDeadMult(void)
{
    int multRaw = SB_GetCVar("sb_deadmult");
    int mult = cond(multRaw == 0, 100, middle(-1, multRaw, 1000000));
    if (multRaw != mult) { SB_SetCVar("sb_deadmult", mult); }
    if (mult == -1) { return 0; }

    int floatPart = mult % 100;
    int intPart   = mult / 100;

    int ret = itof(intPart) + (itof(floatPart) / 100);
    return ret;
}
