function int GameWon(int points)
{
    int pointlimit = GetCVar("pointlimit");
    if (pointlimit == 0) { return 0; }

    if (points >= pointlimit)
    {
        return 1;
    }

    return 0;
}

function int SpewCoins(int coinCount)
{
    int i, j, level, actor, iters, spawned, failCount = 0;
    int x = GetActorX(0), y = GetActorY(0), z = GetActorZ(0);
    int tid = unusedTID(16000, 18000);
    int vx, vy, vz;
    int xymult, zmult;
    int a, p;
    
    for (i = 0; i < COINTYPES; i++)
    {
        level = CoinLevels[i];
        actor = CoinActors[i];

        while (coinCount >= level)
        {
            a = random(0, 1.0);
            p = random(-0.01, 0.15);

            vx = FixedMul(cos(a), cos(p));
            vy = FixedMul(sin(a), cos(p));
            vz = sin(p);
            xymult = random(0.5, 12.0);
            zmult  = random(5.0, 9.0);

            spawned = Spawn(actor, x, y, z + 24.0, tid);

            if (spawned)
            {
                SetActorVelocity(tid, FixedMul(vx, xymult), FixedMul(vy, xymult), FixedMul(vz, zmult), 0, 0);
                Thing_ChangeTID(tid, 0);
            }
            else
            {
                failCount += level;
            }

            coinCount -= level;
        }
    }

    return coinCount + failCount;  // what's left
}

